MyGUI::xml Namespace Reference

## Namespaces

namespace | utility

## Data Structures

struct | ElementType
struct | ErrorType
class | ElementEnumerator
class | Element
class | Document

## Typedefs

using | ElementPtr = Element*
using | PairAttribute = std::pair<std::string, std::string>
using | VectorAttributes = std::vector<PairAttribute>
using | VectorElement = std::vector<std::unique_ptr<Element>>
using | ElementPtr

## Functions

void | open_stream (std::ofstream &_stream, const std::wstring &_wide)
void | open_stream (std::ifstream &_stream, const std::wstring &_wide)

## Typedef Documentation

## ElementPtr [1/2]

using MyGUI::xml::ElementPtr

Definition at line 112 of file MyGUI_XmlDocument.h.

## ElementPtr [2/2]

using MyGUI::xml::ElementPtr = Element*

Definition at line 112 of file MyGUI_XmlDocument.h.

## PairAttribute

using MyGUI::xml::PairAttribute = std::pair<std::string, std::string>

Definition at line 113 of file MyGUI_XmlDocument.h.

## VectorAttributes

using MyGUI::xml::VectorAttributes = std::vector<PairAttribute>

Definition at line 114 of file MyGUI_XmlDocument.h.

## VectorElement

using MyGUI::xml::VectorElement = std::vector<std::unique_ptr<Element>>

Definition at line 115 of file MyGUI_XmlDocument.h.

## Function Documentation

## open_stream() [1/2]

void MyGUI::xml::open_stream | ( | std::ifstream & | _stream,
|  | const std::wstring & | _wide )

inline

Definition at line 363 of file MyGUI_XmlDocument.cpp.

## open_stream() [2/2]

void MyGUI::xml::open_stream | ( | std::ofstream & | _stream,
|  | const std::wstring & | _wide )

inline

Definition at line 359 of file MyGUI_XmlDocument.cpp.